-- 基础信息
base_info = {
	group_id = 247005005
}

-- DEFS_MISCS
local GroupId = 247005005
local point_id_list = {}
local MainGroupID = 247005001
local RegionID = 5001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 5001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 0.141, y = 0.067, z = 159.978 } }
}

-- 触发器
triggers = {
	{ config_id = 1005001, name = "ENTER_REGION_5001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 5002, pos = { x = 0.092, y = 0.056, z = 173.355 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5003, pos = { x = -2.904, y = 0.056, z = 172.653 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5004, pos = { x = 3.318, y = 0.056, z = 172.769 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5005, pos = { x = -6.816, y = 0.056, z = 171.445 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5006, pos = { x = 7.256, y = 0.056, z = 170.998 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5007, pos = { x = -9.263, y = 0.056, z = 168.946 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5008, pos = { x = 10.492, y = 0.056, z = 168.963 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5009, pos = { x = -10.075, y = 0.056, z = 166.411 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 5010, pos = { x = 10.605, y = 0.056, z = 166.062 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 5011, pos = { x = -10.125, y = 0.056, z = 163.317 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 5012, pos = { x = 0.160, y = 0.056, z = 172.042 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 5013, pos = { x = -4.735, y = 0.056, z = 170.076 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 5014, pos = { x = 5.215, y = 0.056, z = 170.250 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 5015, pos = { x = -8.135, y = 0.056, z = 166.979 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 5016, pos = { x = 9.401, y = 0.056, z = 165.958 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 5017, pos = { x = -7.686, y = 0.056, z = 161.323 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 5018, pos = { x = 8.812, y = 0.056, z = 160.043 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 5019, pos = { x = -4.679, y = 0.056, z = 157.511 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 5020, pos = { x = 5.393, y = 0.056, z = 156.702 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 5021, pos = { x = 0.153, y = 0.056, z = 154.647 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 5022, pos = { x = -9.854, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5023, pos = { x = 10.212, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5024, pos = { x = -9.854, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5025, pos = { x = 10.212, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5026, pos = { x = -8.120, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5027, pos = { x = 11.946, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5028, pos = { x = -8.120, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5029, pos = { x = 11.946, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5030, pos = { x = -12.536, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5031, pos = { x = 7.530, y = 0.056, z = 172.384 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5032, pos = { x = -12.536, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5033, pos = { x = 7.530, y = 0.056, z = 153.359 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5034, pos = { x = -1.034, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5035, pos = { x = 1.198, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5036, pos = { x = -2.947, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5037, pos = { x = 3.244, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5038, pos = { x = -4.819, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5039, pos = { x = 5.082, y = 0.056, z = 166.394 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5040, pos = { x = -3.064, y = 0.056, z = 164.023 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5041, pos = { x = 2.982, y = 0.056, z = 164.023 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5042, pos = { x = 1.198, y = 0.056, z = 164.023 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5043, pos = { x = -1.034, y = 0.056, z = 164.023 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 5044, pos = { x = 5.798, y = 0.067, z = 160.224 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 5001 },
		triggers = { "ENTER_REGION_5001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
